Skip to main content
POST
/
api
/
dapp
/
wallet
/
associate
Associate Wallet
curl --request POST \
  --url https://backend-global.gains.trade/api/dapp/wallet/associate \
  --header 'Content-Type: application/json' \
  --data '
{
  "evmAddress": "<string>",
  "chainId": 123,
  "signedMessage": "<string>",
  "expectedPublicKey": "<string>"
}
'
{
  "success": true
}

Endpoint

POST /api/dapp/wallet/associate Creates a wallet association after signature verification.

Request Body

Send JSON matching the schema shown in the generated API panel.

Usage Example

curl -X POST "https://backend-global.gains.trade/api/dapp/wallet/associate"

Response Structure

The generated API panel lists the response schema for status codes: 200, 500. Error responses generally return an error or message field.

Body

application/json
evmAddress
string
required
chainId
integer
required
signedMessage
string
required
expectedPublicKey
string
required

Response

Successful response

success
boolean